Package twisted :: Package protocols :: Module sip :: Class ILocator

[frames | no frames]

## Class ILocator

    Interface --+
                |
               ILocator

Allow looking up physical address for logical URL.

Method Summary
| ``getAddress`(self, logicalURL)` Return physical URL of server for logical URL of user.

Method Details

### getAddress(self, logicalURL)

Return physical URL of server for logical URL of user.

  Parameters:
    `logicalURL` - a logical `URL`.
  Returns:
    Deferred which becomes URL or fails with LookupError.

Generated by Epydoc 2.0 on Sat May 15 20:07:54 2004 | http://epydoc.sf.net